Package com.ocient.jdbc.proto

# Interface ClientWireProtocol.SetPSOOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `ClientWireProtocol.SetPSO`, `ClientWireProtocol.SetPSO.Builder`

Enclosing class:
  ClientWireProtocol

    public static interface ClientWireProtocol.SetPSOOrBuilder
    extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `getReset()` | whether we should reset back to the default, overrides whatever threshold is
`long` | `getThreshold()` | what we want the new threshhold to be

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getThreshold

long getThreshold()

    what we want the new threshhold to be

`int64 threshold = 1;`

Returns:
  The threshold.

### getReset

boolean getReset()

    whether we should reset back to the default, overrides whatever threshold is

`bool reset = 2;`

Returns:
  The reset.